#version 430 core

uniform vec3 eyePos;
uniform vec3 eyeDir;

layout (location = 0) in vec3 POSITION;
layout (location = 1) in vec3 NORMAL;  // velocity
layout (location = 2) in vec3 COLOR;   // force
layout (location = 3) in vec3 TANGENT; // radius, energy, 1/mass

out vec3 params;

void main()
{
	params = TANGENT;
	gl_Position = vec4(POSITION, 1.0);
}
